/*
 * adapte a la taille de la div
 * incorrect ? lineto pas point mais vecteur
 */
function scale(val, marge) {
//    alert(val);

    var res = Math.round(val * tailleCarre / 15);

    if (res <= marge) {
//        res += marge + 1;
        res = marge + Math.round(res / 12) + 1;
    }
    else if (res >= tailleCarre - marge) {
//        res -= marge + 1;
        res = (tailleCarre - marge) - Math.round(res / 12) - 1;
    }

    return res;

}